type UserConfig = {
  "postgres": {
    "visible": boolean,
    "username": string,
    "password": string,
    "ip": string,
    "port": string,
    "database": string,
    "schema":  string
  },
  "redis": {
    "visible": boolean,
    "ip":  string,
    "port":  string
  },
  "zookeeper": {
    "visible": boolean,
    "ip":  string,
    "port":  string
  },
  "rocketmq": {
    "visible": boolean,
    "ip":  string,
    "port":  string
  },
  "tenants": {
    "visible": boolean,
    "id":  string,
    "host":  string,
    "database-schema":  string,
    "primary-namespace":  string
  },
  "postgresV1": {
    "visible": boolean,
    "username":  string,
    "password":  string,
    "ip":  string,
    "port":  string,
    "database":  string,
    "schema":  string
  },
  "redisV1": {
    "visible": boolean,
    "ip":  string,
    "port":  string
  },
  "tenantsV1": {
    "visible": boolean,
    "id":  string,
    "port": number
  },
  "debug": {
    "host":  string
  },
  "node-port": number,
  "username":  string,
  "status":  string,
  "InstallSteps": string[]
}

export default defineEventHandler(async (event) => {
  const username = event.context.username
  const configs = getUserAllConfigs(username)
  return configs as unknown as UserConfig
})